%define _unpackaged_files_terminate_build 1

%define dbus_version 1.4.20
%define dbus_glib_version 0.96

%define gtk3_version	3.10.0
%define wireless_tools_version 29
%define libnl3_version 3.4.0
%define ppp_version 2.4.7

#define snapshot .git20090414
#define applet_snapshot %{nil}

Name: network-manager-applet
Summary: GNOME applications for use with NetworkManager
Summary(ja): NetworkManager 用 GNOME アプリケーション
Version: 1.8.22
Release: 1%{?snapshot}%{?_dist_release}

Group: Applications/Internet
License: GPLv2+
URL: http://www.gnome.org/projects/NetworkManager/

%define major_minor %(echo %{version} | sed -e 's/\.[0-9]*$//')
Source: https://download.gnome.org/sources/network-manager-applet/%{major_minor}/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: meson
BuildRequires: libappstream-glib-devel
BuildRequires: NetworkManager-libnm-devel
BuildRequires: ModemManager-glib-devel
BuildRequires: dbus-devel >= %{dbus_version}
BuildRequires: dbus-glib-devel >= %{dbus_glib_version}
BuildRequires: gtk3-devel
BuildRequires: GConf2-devel
BuildRequires: libgnome-keyring-devel
BuildRequires: gcr-devel
#BuildRequires: gettext
BuildRequires: libnotify-devel >= 0.7
BuildRequires: libgudev1-devel
BuildRequires: libsecret-devel
BuildRequires: pkgconfig(jansson)
BuildRequires: pygobject3
BuildRequires: iso-codes
BuildRequires: mobile-broadband-provider-info-devel

Requires(post): chkconfig
Requires(preun): chkconfig

Requires: NetworkManager >= 1.20.0

Requires: dbus
Requires: dbus-glib
Requires: libnotify
Requires: gnome-keyring
Requires: nss
Requires: gnome-icon-theme

Obsoletes:	NetworkManager-gnome < 0.9.7.0
Provides:	NetworkManager-gnome = 0.9.7.0

Obsoletes: libnm-gtk < 1.8.22


Vendor: Project Vine
Distribution: Vine Linux

%description
This package contains GNOME utilities and applications for use with
NetworkManager, including a panel applet for wireless networks.


%package -n libnma
Summary:	Private libraries for NetworkManager GUI support
Group:		System Environment/Libraries

%description -n libnma
This package contains private libraries to be used only by nm-applet,
nm-connection editor, and the GNOME Control Center.


%package -n libnma-devel
Summary:	Private header files for NetworkManager GUI support
Group:		Development/Libraries
Requires:	pkgconfig
Requires:	pkgconfig(libnm)
Requires:	libnma = %{version}-%{release}
Requires:	NetworkManager-libnm-devel

%description -n libnma-devel
This package contains private header and pkg-config files to be used only by
nm-applet, nm-connection-editor, and the GNOME control center.


%prep
%setup -q

%build
%meson \
    -Dgcr=true \
    -Dselinux=false \
    -Dwwan=true \
    -Dgtk_doc=false \
    -Dlibnm_gtk=false

%meson_build
 
%install
%{__rm} -rf $RPM_BUILD_ROOT

# install the applet
%meson_install

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome-vpn-properties

%find_lang nm-applet
cat nm-applet.lang >> %{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi
if [ $1 -eq 0 ]; then
  glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
fi

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:


%files -f nm-applet.lang
%defattr(-,root,root,0755)
%{_bindir}/nm-applet
%{_bindir}/nm-connection-editor
#{_libexecdir}/nm-applet-migration-tool
%{_datadir}/metainfo/nm-connection-editor.appdata.xml
%{_datadir}/applications/*.desktop
#{_datadir}/nm-applet/
%{_datadir}/GConf/gsettings/nm-applet.convert
%{_datadir}/glib-2.0/schemas/org.gnome.nm-applet.gschema.xml
%{_datadir}/icons/hicolor/16x16/apps/*.png
%{_datadir}/icons/hicolor/22x22/apps/*.png
%{_datadir}/icons/hicolor/32x32/apps/*.png
%{_datadir}/icons/hicolor/48x48/apps/*.png
%{_datadir}/icons/hicolor/scalable/apps/*.svg
%{_sysconfdir}/xdg/autostart/nm-applet.desktop
%dir %{_datadir}/gnome-vpn-properties
##%{_libdir}/gnome-bluetooth/plugins/libnma.so
%{_mandir}/man1/nm-applet.1.gz
%{_mandir}/man1/nm-connection-editor.1.gz

%files -n libnma
%{_libdir}/girepository-1.0/NMA-1.0.typelib
%{_libdir}/libnma.so.*

%files -n libnma-devel
%dir %{_includedir}/libnma
%{_includedir}/libnma/*
%{_libdir}/libnma.so
%{_libdir}/pkgconfig/libnma.pc
%{_datadir}/gir-1.0/NMA-1.0.gir


%changelog
* Sun Sep 01 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.8.22-1
- new upstream release.
- dropped libnma-gtk{,-devel}.

* Sat Mar 03 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.8.10-1
- new upstream release.
- added subpackages libnma{,-devel}.

* Sun Dec 27 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.10-1
- new upstream release

* Wed Nov 25 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.8-1
- new upstream release

* Sun Aug 30 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.6-1
- new upstream release

* Mon Jul 20 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.4-1
- new upstream release

* Sat May 16 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.2-1
- new upstream release

* Sun Apr 05 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.10.2-1
- new upstream release

* Sun Oct 26 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.10.0-1
- new upstream release

* Tue Oct 14 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.9.8.10-2
- moved libnm-gtk to System Environment/Libraries Group

* Fri May 16 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.8.10-1
- new upstream release

* Sun Apr 13 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.8.9-1
- new upstream release

* Sun Nov 24 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.8.8-1
- new upstream release

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.8.4-1
- new upstream release
- remove Patch0 (network-manager-applet--0.9.8.2-git20130801.patch)
- add BuildRequires: ModemManager-glib-devel

* Sun Jun 09 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.8.2-2
- add Patch0 (network-manager-applet--0.9.8.2-git20130801.patch)

* Sun Jun 09 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.8.2-1
- update to 0.9.8.2
- add BuildRequires: libsecret-devel

* Sun Apr 21 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.8.0-1
- initial package split from NetworkManager

